# Uses of Class
org.jfree.chart3d.marker.MarkerData

Packages that use MarkerData
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.

## Uses of MarkerData in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis that return types with arguments of type MarkerData
Modifier and Type
Method
Description
`List<MarkerData>`
AbstractValueAxis3D.`generateMarkerData()`
Generates and returns a list of marker data items for the axis.
`List<MarkerData>`
CategoryAxis3D.`generateMarkerData()`
Returns a list of marker data instances for the markers that fall within the current axis range.
`List<MarkerData>`
StandardCategoryAxis3D.`generateMarkerData()`
Generates and returns a list of marker data items for the axis.
`List<MarkerData>`
ValueAxis3D.`generateMarkerData()`
Returns a list of marker data instances for the markers that fall within the current axis range.

## Uses of MarkerData in org.jfree.chart3d.marker

Methods in org.jfree.chart3d.marker with parameters of type MarkerData
Modifier and Type
Method
Description
`void`
CategoryMarker.`draw(Graphics2D g2, MarkerData markerData, boolean reverse)`
Handles drawing of the marker.
`void`
Marker.`draw(Graphics2D g2, MarkerData markerData, boolean reverse)`
Draws the marker based on the `markerData` which has been passed to the 3D engine to generate the required 2D projection points.
`void`
NumberMarker.`draw(Graphics2D g2, MarkerData markerData, boolean reverse)`
Draws the marker.
`void`
RangeMarker.`draw(Graphics2D g2, MarkerData markerData, boolean reverse)`
Constructors in org.jfree.chart3d.marker with parameters of type MarkerData
Modifier
Constructor
Description
``
`MarkerData(MarkerData source, int v0, int v1)`
Creates a new instance based on an existing source that has type `MarkerDataType.VALUE`.
``
`MarkerData(MarkerData source, int v0, int v1, int v2, int v3)`
Creates a new instance based on an existing source that has type `MarkerDataType.Range`.